Gå til innhold
ShopentlyLearn

Rediger artikkel

Redigere artikkelutkast og oversettelser

PATCH/api/v1/addons/shopently.blog/posts/{post_id}

cURL-forespørsel

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/addons/shopently.blog/posts/2103ba96-2713-420b-b197-8a008730c851 \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-6486f38921214552949f30311a1f543f' \
  --header 'Content-Type: application/json' \
  --data-raw '{"excerpt":"Praktyczny poradnik: porównanie właściwości i wariantów.","expected_version":1,"locale":"pl"}'

Svar

{
  "data": {
    "html_normalized": false,
    "id": "2103ba96-2713-420b-b197-8a008730c851",
    "public_number": null,
    "revision_id": "5745799d-723b-4341-9f6e-1a63e50f1d40",
    "status": "draft",
    "version": 2
  },
  "meta": {
    "request_id": "bd4bb9ba-0f29-41c0-858d-3581bb03928f"
  }
}

Nødvendige tilganger

Autentisering
Tilgangstoken
Tilgjengelig fra
BASIC
Nøkkelens tillatelse
Redigere artikkelutkast og oversettelseraddon.shopently.blog:post_update
Påkrevd installert modul

shopently.blog